你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Sender Usernames - Get

获取域资源的有效发件人用户名。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/emailServices/{emailServiceName}/domains/{domainName}/senderUsernames/{senderUsername}?api-version=2025-09-01

URI 参数

名称 必需 类型 说明
domainName
path True

string

minLength: 1
maxLength: 253

域资源的名称。

emailServiceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9-]+$

EmailService 资源的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

senderUsername
path True

string

minLength: 1
maxLength: 253

有效的发件人用户名。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

SenderUsernameResource

成功。 回复描述了对应的 SenderUsername 资源。

Other Status Codes

ErrorResponse

描述作失败的原因的错误响应。

示例

Get SenderUsernames resource

示例请求

GET https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/contosoResourceGroup/providers/Microsoft.Communication/emailServices/contosoEmailService/domains/contoso.com/senderUsernames/contosoNewsAlerts?api-version=2025-09-01

示例响应

{
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/contosoResourceGroup/providers/Microsoft.Communication/EmailServices/contosoEmailService/Domains/contoso.com/senderUsernames/contosoNewsAlerts",
  "name": "contoso.com",
  "type": "Microsoft.Communication/EmailServices/Domains/SenderUsernames",
  "properties": {
    "dataLocation": "United States",
    "username": "contosoNewsAlerts",
    "displayName": "Contoso News Alerts"
  }
}
{
  "error": {
    "code": "ResourceNotFound",
    "message": "The requested resource was not found"
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ProvisioningState

资源的预配状态。 通信服务的默认状态是未知。

SenderUsernameResource

一个表示 SenderUsername 资源的类。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ProvisioningState

资源的预配状态。 通信服务的默认状态是未知。

说明
Unknown
Succeeded
Failed
Canceled
Running
Creating
Updating
Deleting
Moving

SenderUsernameResource

一个表示 SenderUsername 资源的类。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.dataLocation

string

发送用户名资源数据静止存储的位置。

properties.displayName

string

senderUsername 的显示名称。

properties.provisioningState

ProvisioningState

资源的预配状态。 通信服务的默认状态是未知。

properties.username

string

发送电子邮件时要使用的发件人 senderUsername。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。